rfid
Device proxies

The rfid proxy provides an interface to a RFID reader. More...

## Classes

struct | playerc_rfidtag_t
| Structure describing a single RFID tag. More...
struct | playerc_rfid_t
| RFID proxy data. More...

## Functions

PLAYERC_EXPORT playerc_rfid_t * | playerc_rfid_create (playerc_client_t *client, int index)
| Create a rfid proxy. More...
PLAYERC_EXPORT void | playerc_rfid_destroy (playerc_rfid_t *device)
| Destroy a rfid proxy. More...
PLAYERC_EXPORT int | playerc_rfid_subscribe (playerc_rfid_t *device, int access)
| Subscribe to the rfid device. More...
PLAYERC_EXPORT int | playerc_rfid_unsubscribe (playerc_rfid_t *device)
| Un-subscribe from the rfid device. More...

## Detailed Description

The rfid proxy provides an interface to a RFID reader.

## Function Documentation

PLAYERC_EXPORT playerc_rfid_t* playerc_rfid_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a rfid proxy.

PLAYERC_EXPORT void playerc_rfid_destroy | ( | playerc_rfid_t * | device | ) |

Destroy a rfid proxy.

PLAYERC_EXPORT int playerc_rfid_subscribe | ( | playerc_rfid_t * | device,
|  | int | access
| ) |  |

Subscribe to the rfid device.

PLAYERC_EXPORT int playerc_rfid_unsubscribe | ( | playerc_rfid_t * | device | ) |

Un-subscribe from the rfid device.

Last updated 12 September 2005 21:38:45